using OF_DL.Models;

namespace OF_DL.Services;

public interface IConfigService
{
    Config CurrentConfig { get; }
    bool IsCliNonInteractive { get; }
    Task<bool> LoadConfigurationAsync(string[] args);
    Task SaveConfigurationAsync(string filePath = "config.conf");
    void UpdateConfig(Config newConfig);
}
